...
 
Commits (12)
virtuoso-opensource (7.2.5.1+dfsg-2) UNRELEASED; urgency=medium
virtuoso-opensource (7.2.5.1+dfsg-2) experimental; urgency=medium
[ Andreas Tille ]
* Postinst script should initialise plugins in the correct multiarch dir
* Build against libssl-dev (>= 1.1)
Closes: #828594
* Take over some patches from Ubuntu
- debconf question priority
- ODBC configuration (just as comment)
* Prevent privacy breach
* Use debian/virtuoso-opensource-7.maintscript instead of using
dpkg-maintscript-helper in maintainer scripts
* Update German debconf translations
* Standards-Version: 4.3.0
* debhelper 12 (but skip dh_dwz)
* Enable cross-compilation
[ Andreas Beckmann ]
* Perform the DEB_HOST_MULTIARCH substition at build time.
......@@ -9,7 +21,7 @@ virtuoso-opensource (7.2.5.1+dfsg-2) UNRELEASED; urgency=medium
(Closes: #907875)
* Fix building twice in a row. (Closes: #680775)
-- Andreas Tille <tille@debian.org> Mon, 03 Sep 2018 10:06:06 +0200
-- Andreas Tille <tille@debian.org> Wed, 13 Feb 2019 18:54:38 +0100
virtuoso-opensource (7.2.5.1+dfsg-1) experimental; urgency=medium
......
......@@ -6,7 +6,7 @@ Section: database
Priority: optional
Build-Depends: bison,
cli-common-dev [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mipsel ppc64 ppc64el s390x],
debhelper (>= 11~),
debhelper (>= 12~),
docbook2x,
docbook-xml,
flex,
......@@ -16,7 +16,7 @@ Build-Depends: bison,
libmagickwand-dev,
libpcre3-dev,
libreadline-dev,
libssl1.0-dev,
libssl-dev,
libtool,
libwbxml2-dev,
libxml2-dev,
......@@ -27,7 +27,7 @@ Build-Depends: bison,
po-debconf,
libminizip-dev,
ckeditor3
Standards-Version: 4.2.0
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/science-team/virtuoso-opensource
Vcs-Git: https://salsa.debian.org/science-team/virtuoso-opensource.git
Homepage: http://vos.openlinksw.com/owiki/wiki/VOS/
......
......@@ -12,7 +12,7 @@ if [ -e /usr/bin/odbcinst ]; then
# default to true since odbcinst is available
db_set libvirtodbc0/register-odbc-driver "true" || true
db_input low libvirtodbc0/register-odbc-driver || true
db_input medium libvirtodbc0/register-odbc-driver || true
db_go
fi
exit 0
......@@ -23,7 +23,7 @@ ${DEBIAN_SCRIPT_TRACE:+ echo "#42#DEBUG# RUNNING $0 $*" 1>&2 }
# Always add in the postinst, always delete in the prerm -- this way,
# we'll always have a good reference count in odbcinst.ini.
db_get libvirtodbc0/register-odbc-driver || true
db_get low libvirtodbc0/register-odbc-driver || true
if [ "$RET" = "true" ]; then
odbcinst -i -d -f /usr/share/libvirtodbc0/odbcinst.ini 1>&2
fi
......
binsrc/VirtuosoClient.Net/*.dll /usr/lib/cli/virtuoso-5.5
debian/virtuoso-5.5.pc /usr/lib/pkgconfig
usr/lib/pkgconfig/virtuoso-5.5.pc usr/lib/pkgconfig/virtuoso.pc
[VOS]
; Ubuntu rather sets:
; Driver = /usr/lib/${DEB_HOST_MULTIARCH}/odbc/virtodbc.so
; In case of trouble with odbc try this
Driver = virtodbc.so
Description = Virtuoso OpenSource Edition
Address = localhost:1111
......
[Virtuoso]
; Ubuntu rather sets:
; Driver = /usr/lib/${DEB_HOST_MULTIARCH}/odbc/virtodbc.so
; In case of trouble with odbc try this
Driver = virtodbc.so
Description: See https://bugs.debian.org/884798
Author: Andreas Tille <tille@debian.org>
Last-Update: Mo 11. Feb 13:50:17 CET 2019
--- a/configure.ac
+++ b/configure.ac
@@ -1840,7 +1840,7 @@ if test $with_pthreads = "yes"; then
[pthreads] )])])
fi
if test "x$have_mono" = "xyes" ; then
- AC_PATH_PROG(PKG_CONFIG, pkg-config, no)
+ AC_PATH_TOOL(PKG_CONFIG, pkg-config, no)
if test "x$PKG_CONFIG" = "xno"; then
AC_MSG_ERROR([You need to install pkg-config])
fi
......@@ -4,7 +4,7 @@ Author: Sune Vuorela <debian@pusling.com>
Last-Update: 2010-03-14
--- a/libsrc/Wi/widisk.h
+++ b/libsrc/Wi/widisk.h
@@ -229,12 +229,20 @@
@@ -230,12 +230,20 @@ typedef unsigned char * db_buf_t;
#else
......@@ -25,7 +25,7 @@ Last-Update: 2010-03-14
#endif
@@ -270,12 +278,20 @@
@@ -271,12 +279,20 @@ typedef unsigned char * db_buf_t;
#define UINT32PL(p) ((unsigned int32*)(p))
......
Author: Andreas Tille <tille@debian.org>
Last-Update: Tue, 12 Feb 2019 08:50:31 +0100
Description: While referencing external potentially active code might be a privacy
breach in general the referenced link does not even exist so remove the unneeded
statement.
--- a/binsrc/vsp/newfeatures.html
+++ b/binsrc/vsp/newfeatures.html
@@ -3,7 +3,6 @@
<meta http-equiv="Content-Language" content="en-us">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"><!-- #BeginEditable "doctitle" -->
<title>What&#39;s New in Virtuoso 4.5</title><!-- #EndEditable -->
-<meta name="keywords" content="VDB, XML, XQuery, HTTP, SOAP, Virtual, EII, Enterprise Data Integration, Process Management, Business Process Management, XML, SQLX, RSS, SQL"><link rel="p3pv1" href="http://www.openlinksw.com/w3c/p3p.xml">
<link href="default.css" rel="stylesheet" type="text/css">
<style>.milonic{width:1px;visibility:hidden;position:absolute}span.bodycopy1
{font-family:Arial;
ftbfs-armel.patch
use-debian-default-csharp-compiler.patch
config-universal-variables.patch
repack-oat.patch
......@@ -14,4 +15,7 @@ remove_ckeditor_mini
remove-saddr_t-typedef.patch
use_debian_packaged_zlib.patch
fix_type.patch
# ssl1.1.patch
ssl1.1.patch
ssl1.1_more.patch
prevent_privacy_breach.patch
cross-compilation-safe_pkg-config.patch
......@@ -2,7 +2,7 @@ Description: Fix FTBFS with openssl 1.1
Author: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
Bug-Debian: https://bugs.debian.org/828594
Forwarded: https://github.com/openlink/virtuoso-opensource/pull/583
Last-Update: Fri, 17 Aug 2018 14:21:44 +0200 (by Andreas Tille <tille@debian.org>)
Last-Update: Mo 11. Feb 13:50:17 CET 2019 (by Andreas Tille <tille@debian.org>)
---
......@@ -767,6 +767,33 @@ Signed-off-by: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
break;
default:
*err_ret = srv_make_new_error ("42000", "XECXX", "The type of public key is not supported mus tbe RSA or DSA");
@@ -7032,19 +7073,19 @@ bif_xenc_pkcs12_export (caddr_t * qst, c
if (export_chain)
{
int i;
- X509_STORE_CTX store_ctx;
- X509_STORE_CTX_init (&store_ctx, CA_certs, x, NULL);
- if (X509_verify_cert (&store_ctx) > 0)
- chain = X509_STORE_CTX_get1_chain (&store_ctx);
+ X509_STORE_CTX *ctx;
+ X509_STORE_CTX_init (ctx, CA_certs, x, NULL);
+ if (X509_verify_cert (ctx) > 0)
+ chain = X509_STORE_CTX_get1_chain (ctx);
else
{
const char *err_str;
- err_str = X509_verify_cert_error_string (store_ctx.error);
+ err_str = X509_verify_cert_error_string (X509_STORE_CTX_get_error(ctx));
*err_ret = srv_make_new_error ("22023", "XENCX", "X509 error: %s", err_str);
- X509_STORE_CTX_cleanup (&store_ctx);
+ X509_STORE_CTX_cleanup (ctx);
goto err;
}
- X509_STORE_CTX_cleanup (&store_ctx);
+ X509_STORE_CTX_cleanup (ctx);
if (chain)
{
certs = sk_X509_new_null ();
@@ -7152,16 +7193,16 @@ bif_xenc_pubkey_pem_export (caddr_t * qs
{
k = X509_get_pubkey (key->xek_x509);
......
Description: Comment unknown definition in ssl1.1 - please review!
Author: Andreas Tille <tille@debian.org>
Bug-Debian: https://bugs.debian.org/828594
Last-Update: Mo 11. Feb 13:50:17 CET 2019
--- a/libsrc/Dk/Dkernel.c
+++ b/libsrc/Dk/Dkernel.c
@@ -5161,10 +5161,12 @@ ssl_ctx_set_protocol_options(SSL_CTX *ct
else if (!strcasecmp (name, "TLSv1_2") || !strcasecmp (name, "TLSv1.2"))
opt = SSL_PROTOCOL_TLSV1_2;
#endif
+/*
#if defined (SSL_OP_NO_TLSv1_3)
else if (!strcasecmp (name, "TLSv1_3") || !strcasecmp (name, "TLSv1.3"))
opt = SSL_PROTOCOL_TLSV1_3;
#endif
+*/
else if (!strcasecmp (name, "ALL"))
opt = SSL_PROTOCOL_ALL;
else
......@@ -101,7 +101,7 @@ msgstr ""
#. Description
#: ../virtuoso-opensource-7.templates:5001
msgid "The default DBA user password will then be \"dba\"."
msgstr ""
msgstr "Das Standrd DBA Nutzer Passwort wird dann \"dba\" sein."
#. Type: error
#. Description
......@@ -149,20 +149,6 @@ msgstr ""
msgid "Remove all Virtuoso databases?"
msgstr "Entfernen aller Virtuoso-Datenbanken?"
#. Type: boolean
#. Description
#: ../virtuoso-opensource-7.templates:7001
#, fuzzy
#| msgid ""
#| "The /var/lib/virtuoso-opensource-6.1 directory which contains the "
#| "Virtuoso databases is about to be removed."
msgid ""
"The /var/lib/virtuoso-opensource-7 directory which contains the Virtuoso "
"databases is about to be removed."
msgstr ""
"Das Verzeichnis /var/lib/virtuoso-opensource-6.1 für die Speicherung der "
"Virtuoso-Datenbanken steht davor, gelöscht zu werden."
#. Type: boolean
#. Description
#: ../virtuoso-opensource-7.templates:7001
......@@ -195,23 +181,6 @@ msgstr ""
"als öffentlichen Web-Server mit direktem Zugriff aus dem Internet "
"installieren, werden Sie wahrscheinlich für den Server den Port 80 wählen."
#. Type: string
#. Description
#: ../virtuoso-opensource-7.templates:8001
#, fuzzy
#| msgid ""
#| "Please note that the default web server root directory is /var/lib/"
#| "virtuoso-opensource-6.1/vsp and will be empty unless you also install the "
#| "package containing the standard Virtuoso start page."
msgid ""
"Please note that the default web server root directory is /var/lib/virtuoso-"
"opensource-7/vsp and will be empty unless you also install the package "
"containing the standard Virtuoso start page."
msgstr ""
"Bitte beachten Sie, dass das Standard-Wurzelverzeichnis /var/lib/virtuoso-"
"opensource-6.1/vsp für Web-Server leer sein wird, wenn Sie nicht auch das "
"Paket mit der Standard-Startseite von Virtuoso installieren."
#. Type: string
#. Description
#: ../virtuoso-opensource-7.templates:9001
......@@ -322,17 +291,3 @@ msgstr ""
"Der Standard-ODBC-Treiber von Virtuoso kann automatisch in die Liste "
"verfügbarer ODBC-Treiber eingetragen (und automatisch beim Löschen des "
"Pakets aus der Liste entfernt) werden."
#, fuzzy
#~| msgid ""
#~| "You can enable the daemon manually by setting RUN to \"yes\" in /etc/"
#~| "default/virtuoso-opensource-6.1. The default DBA user password will then "
#~| "be \"dba\"."
#~ msgid ""
#~ "You can enable the daemon manually by setting RUN to \"yes\" in /etc/"
#~ "default/virtuoso-opensource-7. The default DBA user password will then be "
#~ "\"dba\"."
#~ msgstr ""
#~ "Sie können den Daemon manuell aktivieren, indem Sie in der Datei /etc/"
#~ "default/virtuoso-opensource-6.1 RUN auf »yes« setzen. Für den Standard-"
#~ "Benutzer DBA ist das Passwort dann »dba«."
......@@ -39,6 +39,7 @@ endif
override_dh_install:
dh_install -plibvirtodbc0 usr/lib/*/virtodbc*.so usr/lib/$(DEB_HOST_MULTIARCH)/odbc
dh_install -plibvirtuoso5.5-cil debian/virtuoso.pc usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
dh_install --remaining-packages
# Remove code copy of ckeditor once it is not needed any more in source tree (could be also done in clean target, but why not doing it here)
rm -rf appsrc/ODS-Framework/ckeditor
......@@ -56,6 +57,9 @@ endif
dh_auto_clean
$(RM) $(AUTOGEN)
override_dh_dwz:
echo "Skip dh_dwz"
autogen: $(AUTOGEN) ;
debian/%: debian/%.in
......
rm_conffile /etc/virtuoso-opensource-7/virtuoso.ini 7.2.5.1+dfsg-1~ virtuoso-opensource-7
......@@ -10,16 +10,6 @@ ${DEBIAN_SCRIPT_TRACE:+ echo "#42#DEBUG# RUNNING $0 $*" 1>&2 }
FILE_INI="/etc/virtuoso-opensource-7/virtuoso.ini"
FILE_ODBC_DSN="/usr/share/virtuoso-opensource-7/odbc.ini"
# /etc/virtuoso-opensource-7/virtuoso.ini was a conffile in older
# versions of this package
dpkg-maintscript-helper rm_conffile \
$FILE_INI '7.2.5.1+dfsg-1~' 'virtuoso-opensource-7' -- "$@"
# restore the virtuoso.ini backup in order to keep user changes
if [ -f $FILE_INI.dpkg-bak ]; then
mv $FILE_INI.dpkg-bak $FILE_INI
fi
# import existing defaults if we have them (to check run state)
if [ -f /etc/default/virtuoso-opensource-7 ] ; then
. /etc/default/virtuoso-opensource-7
......
......@@ -12,11 +12,6 @@ FILE_ODBC_DSN="/usr/share/virtuoso-opensource-7/odbc.ini"
invoke-rc.d virtuoso-opensource-7 stop || true
# /etc/virtuoso-opensource-7/virtuoso.ini was a conffile in older
# versions of this package
dpkg-maintscript-helper rm_conffile \
$FILE_INI '7.2.5.1+dfsg-1~' 'virtuoso-opensource-7' -- "$@"
if [ "$1" == "purge" ]; then
# log files can go without warning...
rm -rf /var/log/virtuoso-opensource-7
......
#!/bin/bash
set -e
FILE_INI="/etc/virtuoso-opensource-7/virtuoso.ini"
# /etc/virtuoso-opensource-7/virtuoso.ini was a conffile in older
# versions of this package
dpkg-maintscript-helper rm_conffile \
$FILE_INI '7.2.5.1+dfsg-1~' 'virtuoso-opensource-7' -- "$@"
#DEBHELPER#